=== modified file 'logview.py'
--- logview.py	2007-04-21 14:55:37 +0000
+++ logview.py	2007-05-19 09:58:19 +0000
@@ -58,8 +58,9 @@
             self.committer.set_text(revision.committer)
         else:
             self.committer.set_text("")
-        self.timestamp.set_text(format_date(revision.timestamp,
-                                            revision.timezone))
+        if revision.timestamp is not None:
+            self.timestamp.set_text(format_date(revision.timestamp,
+                                                revision.timezone))
         self.message_buffer.set_text(revision.message)
         try:
             self.branchnick_label.set_text(revision.properties['branch-nick'])

=== modified file 'viz/graph.py'
--- viz/graph.py	2006-09-06 09:27:12 +0000
+++ viz/graph.py	2007-05-19 09:58:19 +0000
@@ -26,7 +26,10 @@
         self.revision_id = revid
         self.parent_ids = []
         self.committer = None
+        self.timestamp = None
+        self.timezone = None
         self.message = self.revision_id
+        self.properties = {}
 
 
 class RevisionProxy(object):

